using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Modify
{
    class ToUpper : IModify
    {
        public bool Modify(string text, out string dest)
        {
            if (string.IsNullOrEmpty(text))
            {
                dest = null;
                return false;
            }
            else
            {
                dest = text.ToUpperInvariant();
                return true;
            }
        }
    }
}
